<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutExternal}">
<head>
    <meta charset="UTF-8">
    <title>Get Barcode</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <div class="section">
        <div class="section-header">
            <h1>Data Barang</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card" th:each="data, row:${dataBarang}">
                        <div class="card-header">
                            <h4 th:text="${data.namaAset}"></h4>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-4">
                                    <p>Lokasi Barang</p>
                                    <p><b th:text="${data.ruangan.namaRuangan}"></b></p>
                                </div>
                                <div class="col-md-4">
                                    <p>Merek</p>
                                    <p><b th:text="${data.merek}"></b></p>
                                </div>
                                <div class="col-md-4">
                                    <p>Tahun Beli</p>
                                    <p><b th:text="${data.tahunBeli}"></b></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <p>Jenis Aset</p>
                                    <p><b th:text="${data.asetJenis.jenisAset}"></b></p>
                                </div>
                                <div class="col-md-4">
                                    <p>Kondisi Aset</p>
                                    <p><b th:text="${data.kondisiAset}"></b></p>
                                </div>
                                <div class="col-md-4">
                                    <p>Jumlah</p>
                                    <p><b th:text="${data.jumlah}"></b></p>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer text-right">
                            <button class="btn btn-primary" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">Ajukan Perbaikan</button>

                            <!-- Modal -->
                            <div class="modal fade" th:id="${'exampleModal' + data.id}" tabindex="-1" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <form th:action="@{/external/perbaikanSapras}" method="post" enctype="multipart/form-data">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Pengajuan Perbaikan Barang</h5>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body text-left">
                                                <div class="form-group">
                                                    <label>Nama Barang</label>
                                                    <input type="text" class="form-control" th:value="${data.namaAset}" readonly>
                                                    <input type="hidden" th:value="${data.id}" name="aset">
                                                </div>
                                                <div class="form-group">
                                                    <label>Lokasi Barang</label>
                                                    <input type="hidden" th:value="${data.ruangan.id}" name="ruangan">
                                                    <input type="text" class="form-control" name="idRuangan" th:value="${data.ruangan.namaRuangan}" readonly>
                                                </div>
                                                <div class="form-group">
                                                    <label>Nama</label>
                                                    <input type="text" class="form-control" name="namaPengaju">
                                                </div>
                                                <div class="form-group">
                                                    <label>Sebagai</label>
                                                    <select name="sebagai" class="form-control">
                                                        <option value="" selected disabled>-- Pilih --</option>
                                                        <option value="dosen">Dosen</option>
                                                        <option value="karyawan">Karyawan</option>
                                                        <option value="mahasiswa">Mahasiswa</option>
                                                    </select>
                                                </div>
                                                <div class="form-group">
                                                    <label>Keterangan</label>
                                                    <input type="text" class="form-control" name="keterangan">
                                                </div>
                                                <div class="form-group">
                                                    <label>Bukti Kerusakan</label>
                                                    <input type="file" class="form-control" name="image"/>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                <button type="submit" class="btn btn-primary">Save changes</button>
                                            </div>
                                        </div>
                                    </div>
                                </form>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>